description: DKRZ master catalog for all /pool/data catalogs available
metadata:
  parameters:
    additional_cmip6_columns:
      default:
      - opendap_url
      - long_name
      - path
      - units
      type: list[str]
    additional_era5_columns:
      default:
      - step
      - long_name
      - short_name
      - path
      - units
      type: list[str]
    cataloonie_columns:
      default:
      - project
      - institution_id
      - source_id
      - experiment_id
      - simulation_id
      - realm
      - frequency
      - time_reduction
      - grid_label
      - grid_id
      - level_type
      - time_min
      - time_max
      - time_range
      - format
      - uri
      - variable_id
      type: list[str]
plugins:
  source:
  - module: intake-esm
sources:
  dkrz_cmip5_archive:
    args:
      csv_kwargs:
        usecols:
        - project
        - product_id
        - institute
        - model
        - experiment
        - frequency
        - modeling_realm
        - mip_table
        - ensemble_member
        - version
        - variable
        - temporal_subset
        - uri
        - format
        - jblob_file
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_cmip5_archive.json
    description: This is an ESM collection for CMIP5 data accessible on the DKRZ's
      cera archive
    driver:
    - intake.open_esm_datastore
  dkrz_cmip5_disk:
    args:
      csv_kwargs:
        usecols:
        - project
        - product_id
        - institute
        - model
        - experiment
        - frequency
        - modeling_realm
        - mip_table
        - ensemble_member
        - version
        - variable
        - temporal_subset
        - uri
        - format
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_cmip5_disk.json
    description: This is an ESM collection for CMIP5 data accessible on the DKRZ's
      Lustre disk storage system in /work/kd0956/CMIP5/data/cmip5/
    driver:
    - intake.open_esm_datastore
  dkrz_cmip6_cloud:
    args:
      csv_kwargs:
        usecols:
        - project
        - activity_id
        - source_id
        - institution_id
        - experiment_id
        - member_id
        - table_id
        - variable_id
        - grid_label
        - version
        - uri
        - format
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_cmip6_cloud.json
    description: This is an ESM collection for CMIP6 data accessible on DKRZ's swift
      cloud store
    driver:
    - intake.open_esm_datastore
  dkrz_cmip6_disk:
    args:
      csv_kwargs:
        usecols:
        - project
        - activity_id
        - source_id
        - institution_id
        - experiment_id
        - member_id
        - dcpp_init_year
        - table_id
        - variable_id
        - grid_label
        - version
        - time_range
        - uri
        - format
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_cmip6_disk.json
    description: This is a ESM-collection for CMIP6 data on DKRZ's disk storage system
    driver:
    - intake.open_esm_datastore
  dkrz_cordex_disk:
    args:
      csv_kwargs:
        usecols:
        - project
        - product_id
        - CORDEX_domain
        - institute_id
        - driving_model_id
        - experiment_id
        - member
        - model_id
        - rcm_version_id
        - frequency
        - variable_id
        - version
        - time_range
        - uri
        - format
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_cordex_disk.json
    description: 'This is an ESM collection for CORDEX data accessible on the DKRZ''s
      disk storage system '
    driver:
    - intake.open_esm_datastore
  dkrz_dyamond-winter_disk:
    args:
      csv_kwargs:
        usecols: &id001
        - project
        - institution_id
        - source_id
        - experiment_id
        - simulation_id
        - realm
        - frequency
        - time_reduction
        - grid_label
        - grid_id
        - level_type
        - time_min
        - time_max
        - time_range
        - format
        - uri
        - variable_id
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_dyamond-winter_disk.json
    description: Default catalog for ICON-ESM experiments by MPIMet
    driver:
    - intake.open_esm_datastore
  dkrz_era5_disk:
    args:
      csv_kwargs:
        usecols:
        - project
        - era_id
        - dataType
        - level_type
        - frequency
        - stepType
        - table_id
        - code
        - validation_date
        - initialization_date
        - uri
        - format
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_era5_disk.json
    description: This is an ESM collection for ERA5 data accessible on the DKRZ's
      disk storage system in /work/bk1099/data/
    driver:
    - intake.open_esm_datastore
  dkrz_nextgems_disk:
    args:
      csv_kwargs:
        usecols: *id001
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_nextgems_disk.json
    description: Default catalog for ICON-ESM experiments by MPIMet
    driver:
    - intake.open_esm_datastore
  dkrz_palmod2_disk:
    args:
      csv_kwargs:
        usecols:
        - project
        - source_id
        - institution_id
        - experiment_id
        - member_id
        - table_id
        - variable_id
        - grid_label
        - version
        - format
        - time_range
        - uri
      esmcol_obj: https://gitlab.dkrz.de/data-infrastructure-services/intake-esm/-/raw/master/esm-collections/cloud-access/dkrz_palmod2_disk.json
    description: This is a ESM-collection for Palmod2 data on DKRZ's disk storage
      system
    driver:
    - intake.open_esm_datastore
